import request from "@/common/request";

export default {
  authcode(data: any) {
    return request({
      url: "/api/account/authcode",
      method: "POST",
      data,
    });
  },
  signup(data: any) {
    return request({
      url: "/api/account/signup",
      method: "POST",
      data,
      noToast: true,
    });
  },
  findPwd(data: any) {
    return request({
      url: "/api/account/findPwd",
      method: "POST",
      data,
      noToast: true,
    });
  },
  setPwd(data: any) {
    return request({
      url: "/api/account/setPwd",
      method: "POST",
      data,
    });
  },
  login(data: any) {
    return request({
      url: "/api/account/login",
      method: "POST",
      data,
    });
  },
    wxlogin(data: any) {
        return request({
            url: "/api/account/wxlogin",
            method: "POST",
            data,
        });
    },
  logout(data: any) {
    return request({
      url: "/api/account/logout",
      method: "POST",
      data,
    });
  },
};
